# Generated from cb-sorcery-0.8.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name cb-sorcery

Name: rubygem-%{gem_name}
Version: 0.8.6
Release: 1%{?dist}
Summary: Magical authentication for Rails 3 & 4 applications
License: MIT
URL: http://github.com/NoamB/sorcery
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(abstract) >= 1.0.0
# BuildRequires: rubygem(json) >= 1.7.7
# BuildRequires: rubygem(yard) >= 0.6.0
# BuildRequires: rubygem(yard) < 0.7
# BuildRequires: rubygem(timecop)
# BuildRequires: rubygem(simplecov) >= 0.3.8
# BuildRequires: rubygem(rspec) >= 3.0.0
# BuildRequires: rubygem(rspec) < 3.1
# BuildRequires: rubygem(rspec-rails) >= 3.0.0
# BuildRequires: rubygem(rspec-rails) < 3.1
BuildArch: noarch

%description
Provides common authentication needs such as signing in/out, activating by
email and resetting password.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/gemfiles
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sorcery.gemspec
%{gem_instdir}/spec

%changelog
* Mon Feb 07 2022 mockbuilder - 0.8.6-1
- Initial package
